<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/bele.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>bele.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for bele.c:</div>
<div class="dynsection">
<div class="center"><img src="bele_8c__incl.png" border="0" usemap="#field_2bele_8c_map" alt=""/></div>
<map name="field_2bele_8c_map" id="field_2bele_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field.h" alt="" coords="131,86,187,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="211,86,280,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="bele_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8">Bele</a> (PetscReal *bvert, PetscReal *facv1, PetscReal *facv2, PetscReal *facv3, PetscReal *matele)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="affb52b9f2b0f2fd0d97c0519704464c8"></a><!-- doxytag: member="bele.c::Bele" ref="affb52b9f2b0f2fd0d97c0519704464c8" args="(PetscReal *bvert, PetscReal *facv1, PetscReal *facv2, PetscReal *facv3, PetscReal *matele)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Bele </td>
          <td>(</td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>bvert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>facv1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>facv2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>facv3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>matele</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="bele_8c_source.html#l00038">38</a> of file <a class="el" href="bele_8c_source.html">bele.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00131">douter</a>, <a class="el" href="griddata_8h_source.html#l00126">my_daxpy</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, <a class="el" href="griddata_8h_source.html#l00130">my_ddot</a>, <a class="el" href="griddata_8h_source.html#l00128">my_dnrm2</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="solidangle_8c_source.html#l00029">PointFromPlane()</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="bele_8c_affb52b9f2b0f2fd0d97c0519704464c8_cgraph.png" border="0" usemap="#bele_8c_affb52b9f2b0f2fd0d97c0519704464c8_cgraph_map" alt=""></div>
<map name="bele_8c_affb52b9f2b0f2fd0d97c0519704464c8_cgraph_map" id="bele_8c_affb52b9f2b0f2fd0d97c0519704464c8_cgraph">
<area shape="rect" id="node3" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="103,5,215,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="bele_8c_affb52b9f2b0f2fd0d97c0519704464c8_icgraph.png" border="0" usemap="#bele_8c_affb52b9f2b0f2fd0d97c0519704464c8_icgraph_map" alt=""></div>
<map name="bele_8c_affb52b9f2b0f2fd0d97c0519704464c8_icgraph_map" id="bele_8c_affb52b9f2b0f2fd0d97c0519704464c8_icgraph">
<area shape="rect" id="node3" href="field_8h.html#acd4f9c6dd876dbb0affeca8be96ee4b4" title="BMatrix" alt="" coords="101,249,168,279"/><area shape="rect" id="node5" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="217,249,311,279"/><area shape="rect" id="node7" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="361,249,431,279"/><area shape="rect" id="node9" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="481,210,527,241"/><area shape="rect" id="node44" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="577,301,679,331"/><area shape="rect" id="node11" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="587,118,669,149"/><area shape="rect" id="node15" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1445,197,1504,227"/><area shape="rect" id="node40" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1289,90,1375,121"/><area shape="rect" id="node50" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="593,197,663,227"/><area shape="rect" id="node13" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1268,143,1396,174"/><area shape="rect" id="node22" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="757,146,835,177"/><area shape="rect" id="node27" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="749,93,843,123"/><area shape="rect" id="node19" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1448,143,1501,174"/><area shape="rect" id="node17" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1552,170,1603,201"/><area shape="rect" id="node24" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="913,301,1039,331"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="937,197,1015,227"/><area shape="rect" id="node34" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="929,93,1023,123"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1088,197,1219,227"/><area shape="rect" id="node36" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1127,93,1180,123"/><area shape="rect" id="node46" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="728,301,864,331"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

